// Copyright (C) 2010 Jaakko Kyro <jkyro@korjaussarja.net>
// This file is licenced under GPL, see COPYING
// for full licence information
#ifndef MAINWINDOW_H
#define MAINWINDOW_H

#include <QMainWindow>
#include "evesettingsdialog.h"
#include "eveaccount.h"

namespace Ui {
    class MainWindow;
}

class MainWindow : public QMainWindow
{
    Q_OBJECT

public:
    explicit MainWindow(QWidget *parent = 0);
    ~MainWindow();
public slots:
    void settingsRequested();
    void setLabelImage();
    void setSkillTraining();
protected:
    void changeEvent(QEvent *e);

private:
    Ui::MainWindow *ui;
    EveSettingsDialog *m_settings;
    EveCharacter *m_character;
    EveSkillTraining skill;
};

#endif // MAINWINDOW_H
